WinShopAPI docs
ReferenceProduct

Upload a product photo

Stores the image in the requested photo slot, replacing whatever that slot held. Requires `Permissions.Product.Update`.

POST
/api/products/{productId}/photo

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

productId*integer
Formatint32

Request Body

application/json
  1. body
fileName?string|null
imageFormat?
photoData*string
photoNumber?integer
Formatint32
productId?integer
Formatint32
quality?integer|null

Response Body

response?unknownapplication/octet-stream
curl -X POST 'https://<your-instance>/api/products/0/photo' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{  "photoData": "string"}'
null